﻿.airlinetitle {width:140px;max-width:140px;flex:auto;text-align:center;cursor: pointer;}
.citytitle{width:160px;max-width:160px;flex:auto;text-align:center;cursor: pointer;}
.departureTitie {width:160px;max-width:160px;flex:auto;;cursor: pointer;}
.dutationTitle{width:110px;max-width:110px;flex:auto;;cursor: pointer;}
.arrivaltitle{width:182px;max-width:182px;flex:auto;cursor: pointer;}
.PriceSavingdetails{width:160px;max-width:160px;flex:auto;text-align:center;cursor: pointer;}
.Pricedetails{width:225px;max-width:225px;flex:auto;text-align:center;cursor: pointer;}
.flighttitles{margin-top:30px !important;border:var(--border);border-bottom:0px;font-family: var(--font-bold-family);padding: 15px 0px;}

.flightSrchrslt{margin-bottom:30px !important;width:100%;}
      
.airlineLogo{width:140px;max-width:140px;flex:auto;text-align:center;}
.cityimage{width:160px;max-width:160px;flex:auto;text-align:center}
.departuredata{width:160px;max-width:160px;flex:auto;padding-top: 21px !important;}
.travelDuration{width:110px;max-width:110px;flex:auto;padding-top: 21px !important;}
.arrivaldata{width:182px;max-width:182px;flex:auto;padding-top: 21px !important;}
.flighNpricedetails{width:160px;max-width:160px;flex:auto;text-align:center;padding-top: 20px !important;}
.flightdetails{width:160px;max-width:160px;flex:auto;text-align:center;padding-top: 34px !important;}
.fl_pricebox{width:225px;max-width:225px;flex:auto;text-align:center}

.roundtrip{width:752px;}
.pricedetailsCol{width:385px;flex: auto;max-width: 385px;}
.flightSrchrsltWrap{padding:15px 0px;border:var(--border);}
.fl_pricedetails{width: 160px;max-width: 160px;flex: auto;}

.fl_pricesavingDetails{border:var(--border);width:100%; color:var(--link-color);cursor:pointer;height:45px}
.fl_flightDetails{border:var(--border);width:100%; color:var(--link-color);cursor:pointer;height:45px;line-height:40px;}

.airport{color:#8e8e8e;line-height: 27px;font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;}
.IATAcode{color:#000;text-transform:uppercase;font-size: 14px;}
.fl_pricebox .note{color: #8e8e8e;font-size: 12px;max-width: 158px;margin: 0 auto;padding: 15px 0px 11px 0;line-height: 15px;text-align: center;}
.fl_pricebox .rate {font-size: 35px;text-decoration: none;font-weight: 600;line-height: 29px;padding-top: 13px;}
.bookBtn, .bookBtn:hover {background-color: var(--btn-color-bg);color: var(--btn-colr-txt);font-weight: 600;text-transform: uppercase;border-radius: 0px;width: 171px;height: 46px;line-height: 45px;font-size: 18px;margin: 0 auto;}
.filterBtn, .filterBtn:hover {background-color: var(--btn-color-bg);color: var(--btn-colr-txt);font-weight: 600;text-transform: uppercase;border-radius: 0px;width: 171px;height: 46px;line-height: 45px;font-size: 18px;margin: 0 auto;cursor:pointer;}

.time{font-weight: 600;font-size: 16px;line-height: 16px;}
.airlineLogo img{width:92px;height:auto;}
.airline_name{line-height: 19px;text-align:center;}
.flight_journey {padding:7px 4px;}
.airline_number{text-align:center; max-width: 92px;    flex: auto;    width: 92px;}
.airlineDetails {    max-width: 190px;    width: 190px;   flex: auto;}
.airlineDetails .airlineLogo {            width: 92px;            max-width: 92px;            flex: auto;        }
.airlinedata {    max-width: 95px;    flex: auto;    width: 95px;}
.airlineDetails airline_name {    max-width: 92px;    flex: auto;    width: 92px;}
.airlineDetails .airline_name {        width: 92px;    }
.departureFlight {        padding-bottom: 15px    }
.stops{line-height:18px}
.travelDuration .time{line-height:25px;text-transform: lowercase;}

.onewaytrip {    width: 1140px;    flex-basis: auto;}
.onewaytrip .departuredata ,.onewaytrip .travelDuration,.onewaytrip .arrivaldata{    padding-top: 36px !important;}
.onewaytrip .flighNpricedetails{padding-top: 2px !important;}
.onewaytrip .flightdetails {    padding-top: 7px !important;}
.onewaytrip .note{display:none;}
.onewaytrip .fl_pricebox .rate {    padding: 12px 0;}
.onewaytrip .departureFlight{padding-bottom:0px}
.onewaytrip .airlineLogo {    padding-top: 16px !important;}
.onewaytrip .cityimage{    padding-top: 16px !important;}

#flightdetails .modal-dialog{max-width:inherit;}
.display-new {    background-image: url('/assets/images/flights/flight-sprite.png');}
.time-icon {    background-position: -188px -278px;    width: 18px;    height: 16px;   margin: 7px auto;}
.TimeDifference {     text-align: left;    font-weight: bold;text-align:center}               
.dis-btom {   }
.fare-list-head {    width: 100%;    text-align: center;    font-weight: bold;    font-size: 14px;       padding: 3px 3px 3px 3px;}
.br-botm-das {    border-bottom: 1px dashed #BAB9B9;}               
.basic-fare {    width: 100%;    float: left;    font-size: 12px;       padding: 5px 3px 3px 3px;}
.fare-list-Gross {     text-align: left;    font-weight: bold;    font-size: 14px;       }
            
.flight-leaving,flight-return{text-align:center;}
.fliyingtotravelTitle{line-height: 29px;  text-align: center; font-weight: bold;}
.modal-body .airline_number,.modal-body .airline_name{line-height:24px;}
.ConnectionTime {padding: 10px 0px !important;}
.traveller, .TaxesAndCharges, .refunding, .totals{padding: 5px 3px 3px 3px;}
.flightbook,.flightbook:hover {background-color: var(--btn-color-bg);color: var(--btn-colr-txt);font-weight: 600;text-transform: uppercase;border-radius: 0px;width: 171px;height: 46px;line-height: 45px;font-size: 18px;margin: 0 auto;}

.Filtertype{padding: 15px 15px 15px;}
.closeposition{position: absolute;right: 1px;z-index: 1;}       
.popup-overlay {
    /*Hides pop-up when there is no "active" class   visibility: hidden;*/
    
    
    position: absolute;
    background: #ffffff;
    border: 2px solid #666;
    width: 15%;
    right: 30%;
    top: 437px;
    padding: 15px 10px 15px;
}
.mobpopup-overlay {
    /*Hides pop-up when there is no "active" classvisibility: hidden;*/
    
    
    position: absolute;
    background: #ffffff;
    border: 2px solid #666;
    width: 15%;
    left: 57%;
    top: 437px;
    padding: 15px 10px 15px;
}

.popup-overlay.active {
  /*displays pop-up when "active" class is present*/
  visibility: visible;
  text-align: center;
}
.mobpopup-overlay.active {
    /*displays pop-up when "active" class is present*/
    visibility: visible;
    text-align: center;
  }
  
.popup-content {
  /*Hides pop-up content when there is no "active" class */
  visibility: visible;
}
.mobpopup-content {
    /*Hides pop-up content when there is no "active" class */
    visibility: visible;
  }

.popup-content.active {
  /*Shows pop-up content when "active" class is present */
  visibility: visible;
}
.mobpopup-content.active {
    /*Shows pop-up content when "active" class is present */
    visibility: visible;
  }
#Flight_filter_Details{
    position: absolute;
    
    left: 0px;
    top: 1px;
}
.flight_link{cursor: pointer;}
[id^="Flight_Details"] {width:680px;}
.uparrow{
  font-size: 15pt;
font-weight: bold;
vertical-align: middle;
}
.downarrow{
  font-size: 15pt;
font-weight: bold;
vertical-align: middle;
}


@media all and (min-width:992px) and (max-width: 1199px) {

    .airlinetitle, .airlineLogo {width: 100px;max-width: 100px;}
    .citytitle, .cityimage  {width: 130px;max-width: 130px;}
    .departureTitie, .departuredata {width: 150px;max-width: 150px;}
    .dutationTitle, .travelDuration {width: 100px;max-width: 100px;}
    .arrivaltitle, .arrivaldata {width: 150px;max-width: 150px;    }
    .PriceSavingdetails, .fl_pricedetails, .flighNpricedetails, .flightdetails {width: 140px;max-width: 140px;}
    .Pricedetails, .fl_pricebox {width: 188px;max-width: 188px;}

    .pricedetailsCol {width: 328px;max-width: 328px;}

    .airline_name {font-size: 12px;    }
    .cityimage img{    width: 110px;padding-top: 5px;}

    .bookBtn, .bookBtn:hover {width: 154px;}
    .filterBtn, .filterBtn:hover {width: 154px;}
    .departuredata {  padding-top: 20px !important;    }    
 }
@media all and (min-width: 768px) and (max-width:991px) {

    .airlinetitle, .airlineLogo {width: 70px;max-width: 70px;}
    .citytitle, .cityimage, .airline_name, .fl_pricebox .note  {display:none}
    .departureTitie, .departuredata {width: 140px;max-width: 140px;}
    .dutationTitle, .travelDuration {width: 70px;max-width: 70px;}
    .arrivaltitle, .arrivaldata {width: 140px;max-width: 140px;    }
    .PriceSavingdetails, .fl_pricedetails, .flighNpricedetails, .flightdetails {width: 140px;max-width: 140px;}
    .Pricedetails, .fl_pricebox {width: 154px;max-width: 154px;}

    .pricedetailsCol {width: 294px;max-width: 294px;}

    .airline_name {font-size: 12px;    }
    .cityimage img{    width: 110px;padding-top: 5px;}

    .bookBtn, .bookBtn:hover {width: 124px;margin-top: 25px;height: 44px;}
    .filterBtn, .filterBtn:hover {width: 124px;margin-top: 25px;height: 44px;}
    .departuredata, .travelDuration, .arrivaldata, .flighNpricedetails {  padding-top: 0px !important;    }
    .fl_pricesavingDetails {line-height: 43px;    }

    .roundtrip { width: 719px;    }
    .flightdetails {padding-top: 18px !important;    }

    .fl_pricebox .rate {        padding-top: 9px;    }
    .time {font-size: 14px;    }
    .airport {        font-size: 11px;    }

    .onewaytrip .airlineLogo { padding-top: 25px !important;  }
    .onewaytrip .departuredata, .onewaytrip .travelDuration, .onewaytrip .arrivaldata {  padding-top: 21px !important;    }
    .onewaytrip .fl_pricebox .rate {        padding: 8px 0;    }
    .onewaytrip .bookBtn, .onewaytrip .bookBtn:hover {        margin-top: 9px;    }

    .airlinedata .airline_name{display:inline;text-align:center;}
    .filterBtn, .filterBtn:hover {width: 104px;margin-top: 25px;height: 30px;line-height: 28px;font-size: 16px;}
.flighttitles{display: none;}
.flight-packages-search{margin-left: 0;margin-right: 0;}
.mobflighttitles{
    position: absolute;
left: 0px;
top: 700px;
width: 44%;
background-color: #fff;
z-index: 1;
font-weight: bold;

}
.mobpopup-overlay {
  /*Hides pop-up when there is no "active" class
  
  visibility: hidden;*/
  position: absolute;
  background: #ffffff;
  border: 2px solid #666;
  width: 15%;
  left: 57%;
  top: 437px;
  padding: 15px 10px 15px;
}


}
@media all and (min-width:0px) and (max-width: 767px) {

    #comenciaFlight {        padding: 0 20px;    }
    .flightSrchrsltWrap_mobile {        width: 100%;    }
    .fl_mob_listing_inner{padding:10px 0 10px 10px;}
    .fl_mob_travelDetails{width:calc(100% - 130px);flex: auto;max-width:calc(100% - 130px);}
    .fl_mob_rateDetails{width: 130px;max-width: 130px;flex: auto;}

    .fl_mob_roundTrip_return{padding-top:15px;}

    .fl_mob_travelDetails .row{width:100%}
    .fl_mob_airlineLogo, .fl_flightIcon{width:25px;flex: auto;max-width:25px;}
    .fl_mob_airlineLogo img{width:25px}
    .fl_mob_travelDetails .time{line-height:25px;text-align:right;}
    .fl_mob_deprt_time .time{text-align: left;padding-left: 16px;}
    .fl_mob_travelDetails .fl_airlineName{font-size:12px}
    .fl_mob_deprt,  .fl_mob_arrrival{color: #8e8e8e;font-size: 11px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;}
    .fl_mob_departdetails .stops{color: #8e8e8e;font-size: 11px;float: right;padding-right: 10px;}
    .fl_flightIcon i{width: 25px;line-height: 23px;font-size: 22px;}
    .fl_mob_arrival_time .time{padding-right:10px;}

    .fl_mob_price{font-size: 18px;text-decoration: none;font-weight: 600;line-height: 29px;padding-top: 13px;text-align:center}
    .fl_mob_Pricedetailsbox{height:30px;min-width:100px;width:max-content;margin:0 auto;line-height:28px;color: var(--link-color);cursor: pointer;text-align:center;font-size:12px;}
    .fl_mob_flightDetailsbox{height:30px;min-width:100px;width:max-content;margin:0 auto;line-height:28px;color: var(--link-color);cursor: pointer;text-align:center;font-size:12px;}
    .fl_mob_bookbtn_box{background-color: var(--btn-color-bg);color: var(--btn-colr-txt);height:30px;min-width:100px;padding:0 15px;width:max-content;margin:0 auto;line-height:28px;cursor: pointer;font-size:14px;text-transform:uppercase;text-align:center;}

    .fl_mob_Pricedetails, .fl_mob_flightDetails, .fl_mob_bookbtn {padding-top:10px !important;}

    .flighttitles_mob{margin:15px 0px !important}
    .fl_mob_sortfilter, .fl-mob_pricefilter{min-width:158px;height:42px;text-align:center;width:max-content;line-height:42px;flex:auto;max-width:160px;cursor:pointer}
    .fl_mob_sortfilter{padding-right:8px}
    .fl-mob_pricefilter {            padding-left: 8px;float:right  }

    .modal-body .time {        font-size: 14px;    }

    [id^="Flight_Details"] {width:500px}
    .airlineDetails {        max-width: 100%;        width: 100%;       padding-left: 25%;  }
    .Flightmodal .modal-dialog{width:96%;}
    .Flightmodal .modal-body{width:540px;}
    .flightbook,.flightbook:hover {background-color: var(--btn-color-bg);color: var(--btn-colr-txt);font-weight: 600;text-transform: uppercase;border-radius: 0px;width: 171px;height: 46px;line-height: 0px;font-size: 18px;margin: 0 auto;vertical-align: middle;}

    .popup-overlay {
        /*Hides pop-up when there is no "active" class*/
        
        position: absolute;
        background: #ffffff;
        border: 2px solid #666;
        width:auto;
        right: 8%;
        top: 558px;
        padding: 15px 10px 15px;
        outline:0
    }
    #Flight_filter_Details {
        position: absolute;
        right: 18px;
        top: 1px;
    }
   
  .mobpopup-overlay {
    /*Hides pop-up when there is no "active" class*/
    
    visibility: visible;
    position: absolute;
    background: #ffffff;
    border: 2px solid #666;
    width: auto;
    left: 8%;
    top: 557px;
    padding: 15px 10px 15px;
    z-index: 1;
}
.downarrow{
  font-size: 13pt;
  font-weight: bold;
  padding-top: 3px;
  padding-left: 5px;
}
}
    
}

@media all and (min-width:0px) and (max-width: 575px) {
    .fl_mob_deprt_time .time {      padding-left: 8px;}

    [id^="Flight_Details"] {width:100%}
    #flightdetails .modal-dialog {        max-width: calc(100% - 1rem);    }
    .IATAcode, .airport .time, .flight_journey .time {        display: block;        text-align: center;    }
    .airport {        text-align: center;    }
    .flight_journey {                text-align: center;    }
    .time-icon {        margin: 30px auto 7px;           }
    .Flightmodal .modal-dialog{width:96%;}
    .Flightmodal .modal-body{width:340px;}
    .filterBtn, .filterBtn:hover {width: 104px;margin-top: 25px;height: 30px;line-height: 28px;font-size: 16px;}
.flighttitles{display: none;}
.flight-packages-search{margin-left: 0;margin-right: 0;}
.mobflighttitles{
    position: absolute;
left: 0px;
top: 700px;
width: 44%;
background-color: #fff;
z-index: 1;
font-weight: bold;

}



}


  